/**********************************************************************
 *
 * highlighttext.h -- 
 * Copyright (C) 2002   D L Consulting Ltd
 *
 * A component of the Greenstone digital library software
 * from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *********************************************************************/


#ifndef HIGHLIGHTTEXT_H
#define HIGHLIGHTTEXT_H

#include "text_t.h"
#include "comtypes.h"
#include "display.h"
#include "cgiargs.h"

#if defined(GSDL_USE_OBJECTSPACE)
#  include <ospace\std\iostream>
#elif defined(GSDL_USE_IOS_H)
#  include <iostream.h>
#else
#  include <iostream>
#endif

void highlighttext(const text_t &text, cgiargsclass &args, const TermInfo_tarray &terms, 
		   displayclass &disp, outconvertclass &outconvert, ostream &textout);

#endif
